/*
 * Copyright (c) 4eachother.
 * Lindenstrasse 22, 14789 Bensdorf
 * All rights reserved.
 * 
 * This software is the confidential and proprietary information of 4eachother.
 * You shall not disclose such Confidential Information and shall use it only in
 * accordance with the terms of the license agreement you entered into
 * with 4eachother.
 */
package test.async;

import javax.ejb.Asynchronous;
import javax.ejb.Stateless;
import javax.ejb.TransactionAttribute;
import javax.ejb.TransactionAttributeType;
import javax.enterprise.event.Event;
import javax.inject.Inject;

/**
 *
 * @author jan
 */
@Stateless
public class MyAsyncSessionBean {

    @Inject
    @MyEvent
    private Event<String> myActor;

    @Asynchronous
    @TransactionAttribute(TransactionAttributeType.REQUIRED)
    public void doSomethingInATransaction() {
        // do system useful here
        System.out.println("IN BEAN");

        // fire event
        this.myActor.fire("somekindofidentifier");
    }
}
