/*
 * Copyright (c) 4eachother.
 * Lindenstrasse 22, 14789 Bensdorf
 * All rights reserved.
 * 
 * This software is the confidential and proprietary information of 4eachother.
 * You shall not disclose such Confidential Information and shall use it only in
 * accordance with the terms of the license agreement you entered into
 * with 4eachother.
 */

package test.async;

import javax.ejb.EJB;
import javax.ejb.Stateless;
import javax.ws.rs.core.Context;
import javax.ws.rs.core.UriInfo;
import javax.ws.rs.Path;
import javax.ws.rs.GET;
import javax.ws.rs.Produces;
import javax.ws.rs.core.MediaType;

/**
 * REST Web Service
 *
 * @author jan
 */

@Path("generic")
@Stateless
public class GenericResource {
    @Context
    private UriInfo context;

    @EJB
    private MyAsyncSessionBean myAsyncSessionBean;

    /** Creates a new instance of GenericResource */
    public GenericResource() {
    }

    /**
     * Retrieves representation of an instance of test.rest.GenericResource
     * @return an instance of java.lang.String
     */
    @GET
    @Produces(MediaType.TEXT_PLAIN)
    public String getXml() {
        this.myAsyncSessionBean.doSomethingInATransaction();
        return "done";
    }

}
